package net.minecraft.world.level;

import java.util.function.BiFunction;
import com.mojang.datafixers.kinds.Applicative;
import com.mojang.datafixers.kinds.App;
import com.mojang.serialization.codecs.RecordCodecBuilder;
import java.util.Collection;
import com.google.common.collect.ImmutableList;
import java.util.List;
import com.mojang.serialization.Codec;

public class DataPackConfig {
    public static final DataPackConfig DEFAULT;
    public static final Codec<DataPackConfig> CODEC;
    private final List<String> enabled;
    private final List<String> disabled;
    
    public DataPackConfig(final List<String> list1, final List<String> list2) {
        this.enabled = ImmutableList.copyOf(list1);
        this.disabled = ImmutableList.copyOf(list2);
    }
    
    public List<String> getEnabled() {
        return this.enabled;
    }
    
    public List<String> getDisabled() {
        return this.disabled;
    }
    
    static {
        DEFAULT = new DataPackConfig(ImmutableList.<String>of("vanilla"), ImmutableList.of());
        CODEC = RecordCodecBuilder.create(instance -> ((RecordCodecBuilder.Instance)instance).group((App)Codec.STRING.listOf().fieldOf("Enabled").forGetter(bpn -> bpn.enabled), (App)Codec.STRING.listOf().fieldOf("Disabled").forGetter(bpn -> bpn.disabled)).apply(instance, (BiFunction)DataPackConfig::new));
    }
}
